interactions:
- request:
    body: '{"createTransactionModel": {"companyCode": "DEFAULT", "type": "SalesOrder",
      "lines": [{"quantity": 3, "amount": "15.00", "taxCode": "O9999999", "taxIncluded":
      false, "itemCode": "123", "discounted": false, "description": "Test product",
      "ref1": "123"}, {"quantity": 2, "amount": "10.00", "taxCode": "O9999999", "taxIncluded":
      false, "itemCode": "SKU_A", "discounted": false, "description": "Test product",
      "ref1": "SKU_A"}, {"quantity": 1, "amount": "10.000", "taxCode": "FR000000",
      "taxIncluded": false, "itemCode": "Shipping", "discounted": false, "description":
      null}], "code": "35edb1ab-a584-4224-8235-08dea25752eb", "date": "2023-08-25",
      "customerCode": 0, "discount": null, "addresses": {"shipFrom": {"line1": "Teczowa
      7", "line2": "", "city": "Wroclaw", "region": "", "country": "PL", "postalCode":
      "53-601"}, "shipTo": {"line1": "O\u0142awska 10", "line2": "", "city": "WROC\u0141AW",
      "region": "", "country": "PL", "postalCode": "53-105"}}, "commit": false, "currencyCode":
      "USD", "email": "user@email.com"}}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, br
      Authorization:
      - Basic Og==
      Connection:
      - keep-alive
      Content-Length:
      - '1017'
      User-Agent:
      - python-requests/2.31.0
    method: POST
    uri: https://sandbox-rest.avatax.com/api/v2/transactions/createoradjust
  response:
    body:
      string: '{"id":0,"code":"35edb1ab-a584-4224-8235-08dea25752eb","companyId":7799660,"date":"2023-08-25","paymentDate":"2023-08-25","status":"Temporary","type":"SalesOrder","batchCode":"","currencyCode":"USD","exchangeRateCurrencyCode":"USD","customerUsageType":"","entityUseCode":"","customerVendorCode":"0","customerCode":"0","exemptNo":"","reconciled":false,"locationCode":"","reportingLocationCode":"","purchaseOrderNo":"","referenceCode":"","salespersonCode":"","totalAmount":35.0,"totalExempt":0.0,"totalDiscount":0.0,"totalTax":8.05,"totalTaxable":35.0,"totalTaxCalculated":8.05,"adjustmentReason":"NotAdjusted","locked":false,"version":1,"exchangeRateEffectiveDate":"2023-08-25","exchangeRate":1.0,"email":"user@email.com","modifiedDate":"2023-08-25T13:02:15.1224027Z","modifiedUserId":6479978,"taxDate":"2023-08-25","lines":[{"id":0,"transactionId":0,"lineNumber":"1","customerUsageType":"","entityUseCode":"","description":"Test
        product","discountAmount":0.0,"exemptAmount":0.0,"exemptCertId":0,"exemptNo":"","isItemTaxable":true,"itemCode":"123","lineAmount":15.0,"quantity":3.0,"ref1":"123","ref2":"","reportingDate":"2023-08-25","tax":3.45,"taxableAmount":15.0,"taxCalculated":3.45,"taxCode":"O9999999","taxCodeId":9111,"taxDate":"2023-08-25","taxIncluded":false,"details":[{"id":0,"transactionLineId":0,"transactionId":0,"country":"PL","region":"PL","exemptAmount":0.0,"jurisCode":"PL","jurisName":"POLAND","stateAssignedNo":"","jurisType":"CNT","jurisdictionType":"Country","nonTaxableAmount":0.0,"rate":0.230000,"tax":3.45,"taxableAmount":15.0,"taxType":"Output","taxSubTypeId":"O","taxName":"Standard
        Rate","taxAuthorityTypeId":45,"taxCalculated":3.45,"rateType":"Standard","rateTypeCode":"S","unitOfBasis":"PerCurrencyUnit","isNonPassThru":false,"isFee":false,"reportingTaxableUnits":15.0,"reportingNonTaxableUnits":0.0,"reportingExemptUnits":0.0,"reportingTax":3.45,"reportingTaxCalculated":3.45,"liabilityType":"Seller","chargedTo":"Buyer"}],"nonPassthroughDetails":[],"hsCode":"","costInsuranceFreight":0.0,"vatCode":"PLS-230C","vatNumberTypeId":0},{"id":0,"transactionId":0,"lineNumber":"2","customerUsageType":"","entityUseCode":"","description":"Test
        product","discountAmount":0.0,"exemptAmount":0.0,"exemptCertId":0,"exemptNo":"","isItemTaxable":true,"itemCode":"SKU_A","lineAmount":10.0,"quantity":2.0,"ref1":"SKU_A","ref2":"","reportingDate":"2023-08-25","tax":2.3,"taxableAmount":10.0,"taxCalculated":2.3,"taxCode":"O9999999","taxCodeId":9111,"taxDate":"2023-08-25","taxIncluded":false,"details":[{"id":0,"transactionLineId":0,"transactionId":0,"country":"PL","region":"PL","exemptAmount":0.0,"jurisCode":"PL","jurisName":"POLAND","stateAssignedNo":"","jurisType":"CNT","jurisdictionType":"Country","nonTaxableAmount":0.0,"rate":0.230000,"tax":2.3,"taxableAmount":10.0,"taxType":"Output","taxSubTypeId":"O","taxName":"Standard
        Rate","taxAuthorityTypeId":45,"taxCalculated":2.3,"rateType":"Standard","rateTypeCode":"S","unitOfBasis":"PerCurrencyUnit","isNonPassThru":false,"isFee":false,"reportingTaxableUnits":10.0,"reportingNonTaxableUnits":0.0,"reportingExemptUnits":0.0,"reportingTax":2.3,"reportingTaxCalculated":2.3,"liabilityType":"Seller","chargedTo":"Buyer"}],"nonPassthroughDetails":[],"hsCode":"","costInsuranceFreight":0.0,"vatCode":"PLS-230C","vatNumberTypeId":0},{"id":0,"transactionId":0,"lineNumber":"3","customerUsageType":"","entityUseCode":"","discountAmount":0.0,"exemptAmount":0.0,"exemptCertId":0,"exemptNo":"","isItemTaxable":true,"itemCode":"Shipping","lineAmount":10.0,"quantity":1.0,"ref1":"","ref2":"","reportingDate":"2023-08-25","tax":2.3,"taxableAmount":10.0,"taxCalculated":2.3,"taxCode":"FR000000","taxCodeId":8550,"taxDate":"2023-08-25","taxIncluded":false,"details":[{"id":0,"transactionLineId":0,"transactionId":0,"country":"PL","region":"PL","exemptAmount":0.0,"jurisCode":"PL","jurisName":"POLAND","stateAssignedNo":"","jurisType":"CNT","jurisdictionType":"Country","nonTaxableAmount":0.0,"rate":0.230000,"tax":2.3,"taxableAmount":10.0,"taxType":"Output","taxSubTypeId":"O","taxName":"Standard
        Rate","taxAuthorityTypeId":45,"taxCalculated":2.3,"rateType":"Standard","rateTypeCode":"S","unitOfBasis":"PerCurrencyUnit","isNonPassThru":false,"isFee":false,"reportingTaxableUnits":10.0,"reportingNonTaxableUnits":0.0,"reportingExemptUnits":0.0,"reportingTax":2.3,"reportingTaxCalculated":2.3,"liabilityType":"Seller","chargedTo":"Buyer"}],"nonPassthroughDetails":[],"hsCode":"","costInsuranceFreight":0.0,"vatCode":"PLS-230D","vatNumberTypeId":0}],"addresses":[{"id":0,"transactionId":0,"boundaryLevel":"Zip5","line1":"Olawska
        10","line2":"","line3":"","city":"WROCLAW","region":"","postalCode":"53-105","country":"PL","taxRegionId":205102,"latitude":"","longitude":""},{"id":0,"transactionId":0,"boundaryLevel":"Zip5","line1":"Teczowa
        7","line2":"","line3":"","city":"Wroclaw","region":"","postalCode":"53-601","country":"PL","taxRegionId":205102,"latitude":"","longitude":""}],"summary":[{"country":"PL","region":"PL","jurisType":"Country","jurisCode":"PL","jurisName":"POLAND","taxAuthorityType":45,"stateAssignedNo":"","taxType":"Output","taxSubType":"O","taxName":"Standard
        Rate","rateType":"Standard","taxable":35.0,"rate":0.230000,"tax":8.05,"taxCalculated":8.05,"nonTaxable":0.0,"exemption":0.0}]}'
    headers:
      Connection:
      - keep-alive
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Fri, 25 Aug 2023 13:02:15 GMT
      Location:
      - /api/v2/companies/7799660/transactions/0
      ServerDuration:
      - '00:00:00.0300605'
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      api-supported-versions:
      - '2.0'
      cache-control:
      - private, no-cache, no-store
      referrer-policy:
      - same-origin
      strict-transport-security:
      - max-age=31536000; includeSubdomains
      x-avalara-uid:
      - 2db654cd-912f-4db1-b19d-70cb5b9b65aa
      x-correlation-id:
      - 2db654cd-912f-4db1-b19d-70cb5b9b65aa
      x-frame-options:
      - sameorigin
      x-permitted-cross-domain-policies:
      - none
      x-xss-protection:
      - 1; mode=block
    status:
      code: 201
      message: Created
version: 1
